Page 1 of 1

Can't Upgrade From V1.522

Posted: Wed Jan 19, 2011 12:31 am
by Herb
Hello,

Since I am a newbie I asked my server hosting people to kindly upgrade my site from v1.522 to v1.6. They always handle upgrades.

They said they spent 4 hours working on it but that it won't upgrade and that I should post here for help.

Please let me know what other details would be helpful.

Re: Can't Upgrade From V1.522

Posted: Wed Jan 19, 2011 12:59 am
by restorator
Joomla 1.6 is a seriously bad and misleading name. (I vote for changing this to 2.0 even now at this late date) Think of Joomla 1.5 and 1.6 more like Win XP and Win Vista. Joomla 1.5 and 1.6 are two totally different systems. Although they share a lot under the hood they are very different.

Just like windows, there are ways to move/migrate/transfer SOME of the core articles and components from one system to the next, there is no way to just "upgrade" from one to the next and all is flawless. And many extensions or other third party software just wont work with the new system.

The best thing to do right now is to restore your backup of your 1.5 site and use it as is. 1.5 will be around for at least a year and a half and possibly much longer, just like Win XP is still around and being used just fine. When you really understand 1.6 and people have devoted time to making extensions that work with it, then you may want to revamp or recreate your site using 1.6.